> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claim.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Orders



## OpenAPI

````yaml GET /v2/orders
openapi: 3.0.1
info:
  title: Seven Senders API
  description: Shipment API for Seven Senders Network
  version: 2.31.0
servers:
  - url: /
security:
  - Bearer: []
paths:
  /v2/orders:
    get:
      tags:
        - Order
      summary: Retrieves the collection of Order resources.
      operationId: getOrderCollection
      parameters:
        - name: order_id
          in: query
          schema:
            type: string
        - name: order_url
          in: query
          schema:
            type: string
        - name: boarding_complete
          in: query
          schema:
            type: boolean
        - name: state
          in: query
          schema:
            type: string
        - name: language
          in: query
          schema:
            type: string
        - name: order_date[before]
          in: query
          description: 'Date filter, example: 2025-04-09T11:47:19+02:00'
          schema:
            type: string
        - name: order_date[after]
          in: query
          description: 'Date filter, example: 2025-04-09T11:47:19+02:00'
          schema:
            type: string
        - name: promised_delivery_date[before]
          in: query
          description: 'Date filter, example: 2025-04-09T11:47:19+02:00'
          schema:
            type: string
        - name: promised_delivery_date[after]
          in: query
          description: 'Date filter, example: 2025-04-09T11:47:19+02:00'
          schema:
            type: string
        - name: page
          in: query
          description: The collection page number
          schema:
            type: integer
        - name: itemsPerPage
          in: query
          description: >-
            The number of items per page (maximum of 100 records can be fetched
            with one call.)
          schema:
            type: integer
      responses:
        '200':
          description: Order collection response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Order-read'
            application/ld+json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Order-read'
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Order-read'
components:
  schemas:
    Order-read:
      required:
        - order_id
      type: object
      properties:
        order_id:
          type: string
          description: The unique shop order ID. Used as ID for the resource
        order_url:
          type: string
          description: The shop URL (a domain from which the order was created.)
        order_date:
          type: string
          format: date-time
        boarding_complete:
          type: boolean
          description: A flag shows whether all order shipments are created
        state:
          type: string
          example: new
        language:
          type: string
        states_history:
          type: array
          example:
            - order_id: '12345654'
              state: new
              datetime: '2018-08-02T09:24:02.142Z'
              location: Berlin
          items:
            type: string
        order_tags:
          type: array
          example:
            tag1: value1
            tag2: value2
          items:
            type: string
        promised_delivery_date:
          type: string
          format: date-time
        tracking_page_url:
          type: string
      description: Class Order
  securitySchemes:
    Bearer:
      type: apiKey
      description: "We use JWT Tokens for the authorization. \r\nPlease add an \\'Authorization\\' header for a request. Generate a valid JWT token using user credentials. See Auth - Token section. \r\nThe value should contain the following:  \r\n \\'Bearer GENERATED_TOKEN\\'"
      name: Authorization
      in: header

````